﻿/**
 * Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * SPDX-License-Identifier: Apache-2.0.
 */

#pragma once
#include <aws/chime-sdk-media-pipelines/ChimeSDKMediaPipelines_EXPORTS.h>
#include <aws/core/utils/memory/stl/AWSString.h>

namespace Aws
{
namespace ChimeSDKMediaPipelines
{
namespace Model
{
  enum class ContentMuxType
  {
    NOT_SET,
    ContentOnly
  };

namespace ContentMuxTypeMapper
{
AWS_CHIMESDKMEDIAPIPELINES_API ContentMuxType GetContentMuxTypeForName(const Aws::String& name);

AWS_CHIMESDKMEDIAPIPELINES_API Aws::String GetNameForContentMuxType(ContentMuxType value);
} // namespace ContentMuxTypeMapper
} // namespace Model
} // namespace ChimeSDKMediaPipelines
} // namespace Aws
