﻿/**
 * Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * SPDX-License-Identifier: Apache-2.0.
 */

#pragma once
#include <aws/elasticbeanstalk/ElasticBeanstalk_EXPORTS.h>
#include <aws/core/utils/memory/stl/AWSString.h>

namespace Aws
{
namespace ElasticBeanstalk
{
namespace Model
{
  enum class ConfigurationDeploymentStatus
  {
    NOT_SET,
    deployed,
    pending,
    failed
  };

namespace ConfigurationDeploymentStatusMapper
{
AWS_ELASTICBEANSTALK_API ConfigurationDeploymentStatus GetConfigurationDeploymentStatusForName(const Aws::String& name);

AWS_ELASTICBEANSTALK_API Aws::String GetNameForConfigurationDeploymentStatus(ConfigurationDeploymentStatus value);
} // namespace ConfigurationDeploymentStatusMapper
} // namespace Model
} // namespace ElasticBeanstalk
} // namespace Aws
