﻿/**
 * Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * SPDX-License-Identifier: Apache-2.0.
 */

#pragma once
#include <aws/inspector2/Inspector2_EXPORTS.h>
#include <aws/core/utils/memory/stl/AWSString.h>

namespace Aws
{
namespace Inspector2
{
namespace Model
{
  enum class ResourceStringComparison
  {
    NOT_SET,
    EQUALS,
    NOT_EQUALS
  };

namespace ResourceStringComparisonMapper
{
AWS_INSPECTOR2_API ResourceStringComparison GetResourceStringComparisonForName(const Aws::String& name);

AWS_INSPECTOR2_API Aws::String GetNameForResourceStringComparison(ResourceStringComparison value);
} // namespace ResourceStringComparisonMapper
} // namespace Model
} // namespace Inspector2
} // namespace Aws
