﻿/**
 * Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * SPDX-License-Identifier: Apache-2.0.
 */

#pragma once
#include <aws/quicksight/QuickSight_EXPORTS.h>
#include <aws/core/utils/memory/stl/AWSString.h>

namespace Aws
{
namespace QuickSight
{
namespace Model
{
  enum class TableFieldIconSetType
  {
    NOT_SET,
    LINK
  };

namespace TableFieldIconSetTypeMapper
{
AWS_QUICKSIGHT_API TableFieldIconSetType GetTableFieldIconSetTypeForName(const Aws::String& name);

AWS_QUICKSIGHT_API Aws::String GetNameForTableFieldIconSetType(TableFieldIconSetType value);
} // namespace TableFieldIconSetTypeMapper
} // namespace Model
} // namespace QuickSight
} // namespace Aws
