﻿/**
 * Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * SPDX-License-Identifier: Apache-2.0.
 */

#pragma once
#include <aws/redshift/Redshift_EXPORTS.h>
#include <aws/core/utils/memory/stl/AWSString.h>

namespace Aws
{
namespace Redshift
{
namespace Model
{
  enum class DataShareStatusForProducer
  {
    NOT_SET,
    ACTIVE,
    AUTHORIZED,
    PENDING_AUTHORIZATION,
    DEAUTHORIZED,
    REJECTED
  };

namespace DataShareStatusForProducerMapper
{
AWS_REDSHIFT_API DataShareStatusForProducer GetDataShareStatusForProducerForName(const Aws::String& name);

AWS_REDSHIFT_API Aws::String GetNameForDataShareStatusForProducer(DataShareStatusForProducer value);
} // namespace DataShareStatusForProducerMapper
} // namespace Model
} // namespace Redshift
} // namespace Aws
