﻿/**
 * Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * SPDX-License-Identifier: Apache-2.0.
 */

#pragma once
#include <aws/ssm/SSM_EXPORTS.h>
#include <aws/core/utils/memory/stl/AWSString.h>

namespace Aws
{
namespace SSM
{
namespace Model
{
  enum class ComplianceUploadType
  {
    NOT_SET,
    COMPLETE,
    PARTIAL
  };

namespace ComplianceUploadTypeMapper
{
AWS_SSM_API ComplianceUploadType GetComplianceUploadTypeForName(const Aws::String& name);

AWS_SSM_API Aws::String GetNameForComplianceUploadType(ComplianceUploadType value);
} // namespace ComplianceUploadTypeMapper
} // namespace Model
} // namespace SSM
} // namespace Aws
