﻿/**
 * Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * SPDX-License-Identifier: Apache-2.0.
 */

#pragma once
#include <aws/inspector2/Inspector2_EXPORTS.h>
#include <aws/core/utils/memory/stl/AWSString.h>

namespace Aws
{
namespace Inspector2
{
namespace Model
{
  enum class ExploitAvailable
  {
    NOT_SET,
    YES,
    NO
  };

namespace ExploitAvailableMapper
{
AWS_INSPECTOR2_API ExploitAvailable GetExploitAvailableForName(const Aws::String& name);

AWS_INSPECTOR2_API Aws::String GetNameForExploitAvailable(ExploitAvailable value);
} // namespace ExploitAvailableMapper
} // namespace Model
} // namespace Inspector2
} // namespace Aws
